local MODNAME, ShuckIt = ...

-- $Id: Localization.lua 88 2016-07-24 03:48:17Z LaoTseu $

local _G           = getfenv(0)
local pairs        = _G.pairs
local print        = _G.print
local rawget       = _G.rawget
local rawset       = _G.rawset
local setmetatable = _G.setmetatable
local sort         = _G.sort
local table        = _G.table

local function err(msg,...) _G.geterrorhandler()(msg:format(_G.tostringall(...)) .. " - " .. _G.time()) end

-- Code borrowed from Tekkub

ShuckIt = ShuckIt or {}
ShuckIt.revision = ShuckIt.revision or {}
ShuckIt.revision.loc	= ("$Revision: 88 $"):match("(%d+)")


local localized
local loc = _G.GetLocale()

-----------------------
--      English      --
-----------------------

-- The english table is not actually used for translation, just to validate that all the phares are listed on the WoWAce site.
local english = {}
local L = english -- Needs to be L[] in order to paste on the WoWAce site

L[ "%s - %d" ]																														= true
L[ "Cannot open Clams by clicking on the LDB display. Use %s instead." ]										= true
L[ "Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead." ]	= true
L[ "Classes: (.*)" ]																												= true
L[ "item" ]																															= true
L[ "items" ]																														= true
L[ "Nothing to do, in combat, or stealthed" ]																			= true
L[ "Requires %s [(](%%d+)[)]" ]																								= true
L[ "ShuckIt is disabled while in combat or stealthed." ]																= true
L[ "ShuckIt" ]																														= true
L[ "Use %s to open the next item" ]																							= true
L[ "Use: Adds treasure locations to your map." ]																		= true
L[ "Use: Carefully crate the restored artifact." ]																		= true
L[ "Use: Combine 10 " ]																											= true
L[ "Use: Combine 300 " ]																										= true
L[ "Use: Combine 4 " ]																											= true
L[ "Use: Combine Ten" ]																											= true
L[ "Use: Combine ten" ]																											= true
L[ "Use: Combine with an identical partial receipt to create a Merchant Order." ]							= true
L[ "Use: Create a soulbound item appropriate for your loot specialization" ]									= true
L[ "Use: Create a soulbound Tier %d+ item appropriate for your class." ]										= true
L[ "Use: Gain [%d.,]+ Oil." ]																									= true
L[ "Use: Gain [0123456789.,]+ Garrison Resources." ]																	= true
L[ "Use: Gut and clean 5 " ]																									= true
L[ "Use: Learn the secrets of Draenor " ]																					= true
L[ "Use: Open the bag." ]																										= true
L[ "Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!" ]						= true
L[ "Use: Open the clam!" ]																										= true
L[ "Use: Open the Heroic Cache of Treasures to earn your glorious reward!" ]									= true
L[ "Use: Piece together three" ]																								= true
L[ "Use: Provides the plans needed" ]																						= true
L[ "Use: Teaches you" ]																											= true
L[ "|cffffd700%d %s to open|r" ]																								= true
L[ "|T%s:16|t %s x %d" ]																										= true
L[ 'Use: Add "[^"]*" to your garrison' ]																					= true
L[ 'Use: Crush the medallion']																								= true
L["Use: Discovers a glyph recipe that uses Warbinder's Ink."]														= true

----------------------
--      French      --
----------------------

if loc == "frFR" then

localized = {}
localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = "Impossible d'ouvrir des palourdes en cliquant sur l'écran LDB. Utiliser %s à la place."
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
localized["|cffffd700%d %s to open|r"] = "|cffffd700%d %s à ouvrir|r"
-- localized["Classes: (.*)"] = ""
localized["item"] = "objet"
localized["items"] = "objets"
localized["notes"] = "Ouvrez ces palourdes (et autres containers)" -- Needs review
-- localized["Nothing to do, in combat, or stealthed"] = ""
localized["Nothing to do or in combat"] = "Rien à faire ou en combat"
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
localized["%s - %d"] = "%s - %d"
localized["ShuckIt"] = "ShuckIt"
localized["ShuckIt is disabled while in combat or stealthed."] = "Rien à faire ou en combat" -- Needs review
localized["|T%s:16|t %s x %d"] = "|T%s:16|t %s x %d"
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "Utilise: Crée un objet correspondant à votre spécialisation du butin). Il vous sera lié." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = " Utilise: Ouvrez la palourde !" -- Needs review
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "Utilise: Ouvrez la Cache de trésors héroïque pour obtenir une glorieuse récompense !" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
localized["Use %s to open the next item"] = "Utilisez %s pour ouvrir le prochain objet"
-- localized["Use: Teaches you"] = ""


end

----------------------
--      German      --
----------------------

if loc == "deDE" then

localized = {}
localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = "Muscheln können nicht durch Klick auf das LDB geöffnet werden. Benutze stattdessen %s."
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
localized["|cffffd700%d %s to open|r"] = "|cffffd700%d %s zu öffnen|r"
-- localized["Classes: (.*)"] = ""
localized["item"] = "Gegenstand"
localized["items"] = "Gegenstände"
localized["notes"] = "Öffne Muscheln (und andere Behälter)" -- Needs review
localized["Nothing to do, in combat, or stealthed"] = "Nichts zu tun oder im Kampf" -- Needs review
localized["Nothing to do or in combat"] = "Nichts zu tun oder im Kampf"
-- localized["Requires %s [(](%%d+)[)]"] = ""
localized["Salvage Yard"] = "Wiederverwertung" -- Needs review
localized["%s - %d"] = "%s - %d" -- Needs review
localized["ShuckIt"] = "ShuckIt" -- Needs review
localized["ShuckIt is disabled while in combat or stealthed."] = "ShuckIt ist deaktiviert, während du im Kampf oder in Verstohlenheit bist."
localized["|T%s:16|t %s x %d"] = "|T%s:16|t %s x %d" -- Needs review
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "Benutzen: Erschafft einen seelengebundenen Gegenstand, der für Eure Beutespezialisierung) nützlich ist." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "Benutzen: Öffnet die Muschel!"
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "Benutzen: Öffnet die heroische Schatzkiste, um Eure glorreiche Belohnung zu erhalten!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
localized["Use %s to open the next item"] = "Nutze %s, um den nächsten Gegenstand zu öffnen"
-- localized["Use: Teaches you"] = ""


end

----------------------
--      Spanish     --
----------------------

if loc == "esES" then

localized = {}
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
localized["notes"] = "Abra esas almejas ( y otros recipientes )" -- Needs review
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "Uso: Crea un objeto ligado al alma útil para tu especialización de botín)." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "Uso:  ¡Abre la almeja!"
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "Uso: ¡Abre el alijo de tesoros heroico para obtener tu gloriosa recompensa!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""


end

----------------------------
-- Latin American Spanish --
----------------------------

if loc == "esMX" then

localized = {}
-- Little hack to use esES translation if a phrase doesn't exist in esMX
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
localized["notes"] = "Abra esas almejas ( y otros recipientes )" -- Needs review
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "Uso: Crea un objeto ligado al alma útil para tu especialización de botín)." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "Uso:  ¡Abre la almeja!"
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "Uso: ¡Abre el alijo de tesoros heroico para obtener tu gloriosa recompensa!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""

-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
localized["notes"] = "Abra esas almejas ( y otros recipientes )" -- Needs review
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "Uso: Crea un objeto ligado al alma útil para tu especialización de botín)." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "Uso:  ¡Abre la almeja!"
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "Uso: ¡Abre el alijo de tesoros heroico para obtener tu gloriosa recompensa!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""


end

----------------------
--      Rusian      --
----------------------

if loc == "ruRU" then

localized = {}
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
-- localized["notes"] = ""
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
localized["Use: Create a soulbound item appropriate for your loot specialization"] = "\208\152\209\129\208\191\208\190\208\187\209\140\208\183\208\190\208\178\208\176\208\189\208\184\208\181: \208\161\208\190\208\183\208\180\208\176\209\130\209\140 \208\191\208\181\209\128\209\129\208\190\208\189\208\176\208\187\209\140\208\189\209\139\208\185 \208\191\209\128\208\181\208\180\208\188\208\181\209\130, \209\129\208\190\208\190\209\130\208\178\208\181\209\130\209\129\209\130\208\178\209\131\209\142\209\137\208\184\208\185 \208\178\208\176\209\136\208\181\208\185 \209\129\208\191\208\181\209\134\208\184\208\176\208\187\208\184\208\183\208\176\209\134\208\184\208\184 \208\180\208\187\209\143 \208\180\208\190\208\177\209\139\209\135\208\184)." -- Needs review
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "\208\152\209\129\208\191\208\190\208\187\209\140\208\183\208\190\208\178\208\176\208\189\208\184\208\181: \208\158\209\130\208\186\209\128\208\190\208\185 \209\128\208\176\208\186\208\190\208\178\208\184\208\189\209\131!"
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "\208\152\209\129\208\191\208\190\208\187\209\140\208\183\208\190\208\178\208\176\208\189\208\184\208\181: \208\158\209\130\208\186\209\128\208\190\208\185\209\130\208\181 \208\179\208\181\209\128\208\190\208\184\209\135\208\181\209\129\208\186\208\184\208\185 \209\129\209\131\208\189\208\180\209\131\208\186 \209\129 \209\129\208\190\208\186\209\128\208\190\208\178\208\184\209\137\208\176\208\188\208\184 \208\184 \208\191\208\190\208\187\209\131\209\135\208\184\209\130\208\181 \209\129\208\178\208\190\209\142 \208\183\208\176\209\129\208\187\209\131\208\182\208\181\208\189\208\189\209\131\209\142 \208\189\208\176\208\179\209\128\208\176\208\180\209\131!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""


end

----------------------
--      Korean      --
----------------------

if loc == "koKR" then

localized = {}
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
-- localized["notes"] = ""
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
-- localized["Use: Create a soulbound item appropriate for your loot specialization"] = ""
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
localized["Use: Open the clam!"] = "[Use:] \236\161\176\234\176\156\235\165\188 \236\151\189\235\139\136\235\139\164." -- Needs review
localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = "[Use:] \236\152\129\236\155\133\236\157\152 \235\179\180\235\172\188\237\149\168\236\157\132 \236\151\180\234\179\160 \236\152\129\234\180\145\236\138\164\235\159\172\236\154\180 \235\179\180\236\131\129\236\157\132 \237\154\141\235\147\157\237\149\152\236\139\173\236\139\156\236\152\164!" -- Needs review
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""


end

------------------------
-- Simplified Chinese --
------------------------

if loc == "zhCN" then

localized = {}
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
-- localized["notes"] = ""
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
-- localized["Use: Create a soulbound item appropriate for your loot specialization"] = ""
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
-- localized["Use: Open the clam!"] = ""
-- localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = ""
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
-- localized["Use %s to open the next item"] = ""
-- localized["Use: Teaches you"] = ""


end

-------------------------
-- Traditional Chinese --
-------------------------

if loc == "zhTW" then

localized = {}
-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["Cannot open this item by clicking on the LDB display (it would cause taint). Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["Classes: (.*)"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
-- localized["notes"] = ""
-- localized["Nothing to do, in combat, or stealthed"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Requires %s [(](%%d+)[)]"] = ""
-- localized["Salvage Yard"] = ""
localized["%s - %d"] = "%s - %d"
localized["ShuckIt"] = "ShuckIt"
-- localized["ShuckIt is disabled while in combat or stealthed."] = ""
-- localized["|T%s:16|t %s x %d"] = ""
-- localized["Use: Adds treasure locations to your map."] = ""
-- localized["Use: Add \"[^\"]*\" to your garrison"] = ""
-- localized["Use: Carefully crate the restored artifact."] = ""
-- localized["Use: Combine 10 "] = ""
-- localized["Use: Combine 300 "] = ""
-- localized["Use: Combine 4 "] = ""
-- localized["Use: Combine ten"] = ""
-- localized["Use: Combine Ten"] = ""
-- localized["Use: Combine with an identical partial receipt to create a Merchant Order."] = ""
-- localized["Use: Create a soulbound item appropriate for your loot specialization"] = ""
-- localized["Use: Create a soulbound Tier %d+ item appropriate for your class."] = ""
-- localized["Use: Crush the medallion"] = ""
-- localized["Use: Discovers a glyph recipe that uses Warbinder's Ink."] = ""
-- localized["Use: Gain [0123456789.,]+ Garrison Resources."] = ""
-- localized["Use: Gut and clean 5 "] = ""
-- localized["Use: Learn the secrets of Draenor "] = ""
-- localized["Use: Open the bag."] = ""
-- localized["Use: Open the Bulging Heroic Cache of Treasures to earn your glorious reward!"] = ""
-- localized["Use: Open the clam!"] = ""
-- localized["Use: Open the Heroic Cache of Treasures to earn your glorious reward!"] = ""
-- localized["Use: Piece together three"] = ""
-- localized["Use: Provides the plans needed"] = ""
localized["Use %s to open the next item"] = "\228\189\191\231\148\168 %s \233\150\139\229\149\159\228\184\139\228\184\128\229\128\139\231\137\169\229\147\129"
-- localized["Use: Teaches you"] = ""


end


-- Metatable majicks... makes localized table fallback to english, or fallback to the index requested.
-- This ensures we ALWAYS get a value back, even if it's the index we requested originally
ShuckIt.localized = localized and setmetatable(localized, {__index = function(t,i) return english[i] ~= true and english[i] or i end})
	or setmetatable({}, {__index = function(t,i)
		-- Get the error only the first time a missing string is found
		if rawget(english, i) ~= true then
			rawset(english, i, true)
			rawset(t, i, i)
			err("Missing translation: %s",i)
		end
		return i 
end})

function _G.ShuckIt_DumpLocals()
	local t = {}
	for k in pairs(english) do table.insert(t,k) end
	sort(t)
	for i=1,#t do
		print(("L[ \"%s\" ] = true"):format(t[i]:gsub('\\','\\\\'):gsub('"','\\"')))
	end
end
